function[neglogL]=noncentralHGloggedCOMBINE(pars,D,data1,data2,Q);
n=sum(data1);
Q=0;
%defining normalization constant Q, which is squared since two likelihoods
for i=0:n;
    for j=0:(n-i);
        for k=0:(n-(i+j));
            Q=Q+(pars(1).^i.*pars(2).^j.*pars(3).^k)/(factorial(i)*factorial(j)*factorial(k)*factorial(n-(i+j+k))*factorial(D(1)-i)*factorial(D(2)-j)*factorial(D(3)-k)*factorial(D(4)-(n-i-j-k)));
        end;
    end;
end;
neglogL=-1*((data1(1)*log(pars(1))+data1(2)*log(pars(2))+data1(3)*log(pars(3))-log(Q)-gammaln(data1(1)+1)-gammaln(data1(2)+1)-gammaln(data1(3)+1)-gammaln(data1(4)+1)-gammaln(D(1)-data1(1)+1)-gammaln(D(2)-data1(2)+1)-gammaln(D(3)-data1(3)+1)-gammaln(D(4)-data1(4)+1))+(data2(1)*log(pars(1))+data2(2)*log(pars(2))+data2(3)*log(pars(3))-log(Q)-gammaln(data2(1)+1)-gammaln(data2(2)+1)-gammaln(data2(3)+1)-gammaln(data2(4)+1)-gammaln(D(1)-data2(1)+1)-gammaln(D(2)-data2(2)+1)-gammaln(D(3)-data2(3)+1)-gammaln(D(4)-data2(4)+1)));
%penalty for negative parameters
neglogL=neglogL+10^8*(pars(1)<0)+10^8*(pars(2)<0)+10^8*(pars(3)<0);
%data is a 1x4 vector with sub-sample frequencies
%D is a 1x4 vector with total frequencies of each size