%this is to look at profile for psi(2)
function[neglogL]=noncentralHGlogged_2COMBINE(pars,D,data1,data2,Q,psi2);
n=sum(data1);
%defining normalization constant Q
for i=0:4;
    for j=0:(4-i);
        for k=0:(4-(i+j));
            Q=Q+(pars(1)^i.*pars(2).^j.*psi2.^k)/(factorial(i)*factorial(j)*factorial(k)*factorial(n-(i+j+k))*factorial(D(1)-i)*factorial(D(2)-j)*factorial(D(3)-k)*factorial(D(4)-(n-i-j-k)));
        end;
    end;
end;
neglogL=-1*((data1(1)*log(pars(1))+data1(2)*log(pars(2))+data1(3)*log(psi2)-log(Q)-gammaln(data1(1)+1)-gammaln(data1(2)+1)-gammaln(data1(3)+1)-gammaln(data1(4)+1)-gammaln(D(1)-data1(1)+1)-gammaln(D(2)-data1(2)+1)-gammaln(D(3)-data1(3)+1)-gammaln(D(4)-data1(4)+1))+(data2(1)*log(pars(1))+data2(2)*log(pars(2))+data2(3)*log(psi2)-log(Q)-gammaln(data2(1)+1)-gammaln(data2(2)+1)-gammaln(data2(3)+1)-gammaln(data2(4)+1)-gammaln(D(1)-data2(1)+1)-gammaln(D(2)-data2(2)+1)-gammaln(D(3)-data2(3)+1)-gammaln(D(4)-data2(4)+1)));
%penalty for negative parameters
neglogL=neglogL+10^8*(pars(1)<0)+10^8*(pars(2)<0)+10^8*(psi2<0);
%data is a 1x4 vector with sub-sample frequencies
%D is a 1x4 vector with total frequencies of each size

%profile:
%psi2=0.01:0.01:2 %this is an example of the space over which one might examine the likelihood profile
%for m=1:length(psi2);
%[mles,min_neglogL]=fminsearch(@noncentralHGlogged_2COMBINE,[.1927 .1475],[],D,data1,data2,Q,psi2(m));
%Lprof_psi2(m)=-min_neglogL;
%end;
%plot(psi2,exp(Lprof_psi2-max(Lprof_psi2)),'b',psi2,0.15*ones(1,length(psi2)),'r');