function[neglogL]=noncentralHGlogged(pars,D,data,Q);
n=sum(data);
%defining normalization constant Q
for i=0:4;
    for j=0:(4-i);
        for k=0:(4-(i+j));
            Q=Q+(pars(1).^i.*pars(2).^j.*pars(3).^k)/(factorial(i)*factorial(j)*factorial(k)*factorial(n-(i+j+k))*factorial(D(1)-i)*factorial(D(2)-j)*factorial(D(3)-k)*factorial(D(4)-(n-i-j-k)));
            %Q(i+1,(j+1)^(k+5))=(pars(1).^i.*pars(2).^j.*pars(3).^k)/(factorial(i)*factorial(j)*factorial(k)*factorial(n-(i+j+k))*factorial(D(1)-i)*factorial(D(2)-j)*factorial(D(3)-k)*factorial(D(4)-(n-i-j-k)));
        end;
    end;
end;
%Log everything:
%neglogL=log((pars(1)^data(1)*pars(2)^data(2)*pars(3)^data(3))/(sum(sum(Q))*(factorial(data(1))*factorial(data(2))*factorial(data(3))*factorial(data(4))*factorial(D(1)-data(1))*factorial(D(2)-data(2))*factorial(D(3)-data(3))*factorial(D(4)-data(4)))));
%Log on paper first: 
neglogL=-1*(data(1)*log(pars(1))+data(2)*log(pars(2))+data(3)*log(pars(3))-log(Q)-log(factorial(data(1)))-log(factorial(data(2)))-log(factorial(data(3)))-log(factorial(data(4)))-log(factorial(D(1)-data(1)))-log(factorial(D(2)-data(2)))-log(factorial(D(3)-data(3)))-log(factorial(D(4)-data(4))));
%penalty for negative parameters
neglogL=neglogL+10^8*(pars(1)<0)+10^8*(pars(2)<0)+10^8*(pars(3)<0);
%data is a 1x4 vector with sub-sample frequencies
%D is a 1x4 vector with total frequencies of each size