%this is to look at profile for psi(0)
function[neglogL]=noncentralHGlogged_0COMBINE(pars,D,data1,data2,Q,psi0);
n=sum(data1);
%defining normalization constant Q
for i=0:4;
    for j=0:(4-i);
        for k=0:(4-(i+j));
            Q=Q+(psi0^i.*pars(1).^j.*pars(2).^k)/(factorial(i)*factorial(j)*factorial(k)*factorial(n-(i+j+k))*factorial(D(1)-i)*factorial(D(2)-j)*factorial(D(3)-k)*factorial(D(4)-(n-i-j-k)));
        end;
    end;
end;
neglogL=-1*((data1(1)*log(psi0)+data1(2)*log(pars(1))+data1(3)*log(pars(2))-log(Q)-gammaln(data1(1)+1)-gammaln(data1(2)+1)-gammaln(data1(3)+1)-gammaln(data1(4)+1)-gammaln(D(1)-data1(1)+1)-gammaln(D(2)-data1(2)+1)-gammaln(D(3)-data1(3)+1)-gammaln(D(4)-data1(4)+1))+(data2(1)*log(psi0)+data2(2)*log(pars(1))+data2(3)*log(pars(2))-log(Q)-gammaln(data2(1)+1)-gammaln(data2(2)+1)-gammaln(data2(3)+1)-gammaln(data2(4)+1)-gammaln(D(1)-data2(1)+1)-gammaln(D(2)-data2(2)+1)-gammaln(D(3)-data2(3)+1)-gammaln(D(4)-data2(4)+1)));
%penalty for negative parameters
neglogL=neglogL+10^8*(pars(1)<0)+10^8*(pars(2)<0)+10^8*(psi0<0);
%data is a 1x4 vector with sub-sample frequencies
%D is a 1x4 vector with total frequencies of each size

%profile:
%psi0=0.01:0.01:2 %this is an example of the space over which one might examine the likelihood profile
%for m=1:length(psi0);
%[mles,min_neglogL]=fminsearch(@noncentralHGlogged_0COMBINE,[.1475 .1927],[],D,data1,data2,Q,psi0(m));
%Lprof_psi0(m)=-min_neglogL;
%end;
%plot(psi0,exp(Lprof_psi0-max(Lprof_psi0)),'b',psi0,0.15*ones(1,length(psi0)),'r');